RFQs
Place new offer on an open RFQ
Place a new offer for the given amount in USD on the specified open RFQ, bid and ask are optional but at least one must be provided
Note: This is currently available exclusively in the Kraken Futures DEMO environment.
POST
/
rfqs
/
{rfqUid}
/
place-offer
Place new offer on an open RFQ
curl --request POST \
--url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"bid": 100.5,
"ask": 101.75
}
'import requests
url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer"
payload = {
"bid": 100.5,
"ask": 101.75
}
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {APIKey: '<api-key>', Authent: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bid: 100.5, ask: 101.75})
};
fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer"
payload := strings.NewReader("{\n \"bid\": 100.5,\n \"ask\": 101.75\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"offerUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Authorizations
General API key with at least read-only access
Authentication string
Path Parameters
Unique identifier for the RFQ
Body
application/json
⌘I
Place new offer on an open RFQ
curl --request POST \
--url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer \
--header 'APIKey: <api-key>' \
--header 'Authent: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"bid": 100.5,
"ask": 101.75
}
'import requests
url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer"
payload = {
"bid": 100.5,
"ask": 101.75
}
headers = {
"APIKey": "<api-key>",
"Authent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {APIKey: '<api-key>', Authent: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bid: 100.5, ask: 101.75})
};
fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}/place-offer"
payload := strings.NewReader("{\n \"bid\": 100.5,\n \"ask\": 101.75\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("APIKey", "<api-key>")
req.Header.Add("Authent", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"offerUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}